Bug 1297262 - scribus included non-free content
scribus included non-free content
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-10 21:57 EST by mejiko
Modified: 2016-01-28 19:23 EST (History)
3 users (show)

See Also:
Fixed In Version: scribus-1.4.5-7.fc22.1 scribus-1.4.5-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:24:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 792429 None None None 2016-01-10 21:57 EST

  None (edit)
Description mejiko 2016-01-10 21:57:37 EST
Hello.

scribus included non-free content.


non-free (I think) file list:

"resources/swatches/Galaxy_Color_Zil.xml"
"resources/swatches/Galaxy_Blackbody_Spectrum.xml"
"resources/swatches/Galaxy_Color_Pro.xml"
"resources/swatches/Galaxy_Color_Harmonizer.xml"
"resources/swatches/Galaxy_Pocket_Map.xml"
"resources/swatches/Galaxy_Visible_Spectrum.xml"
"resources/swatches/Galaxy_Color_Emotions.xml"
"resources/swatches/Galaxy_Color_Directory.xml"
"resources/swatches/Galaxy_Neutrals_and_Rich_Blacks.xml"

License is: resources/swatches/Galaxy_Gauge_and_SIS_licensing_agreement.txt
Question: Which is free or non-free ? This is new license.


"resources/swatches/Resene_TCS_-_Decks_Paths_Driveways_Recreational_Areas_2011.xml"
"resources/swatches/Resene_Heritage_2008.xml"
"resources/swatches/Resene_Decks_Paths_2009.xml"
"resources/swatches/Resene_The_Range_2011-12.xml"
"resources/swatches/Resene_Roof_Systems_2014.xml"
"resources/swatches/Resene_BS2660_101.xml"
"resources/swatches/Resene_TCS_The_Range_Whites_and_Neutrals_2014.xml"
"resources/swatches/Resene_Heritage_and_Traditional_Maori_Palette_2015.xml"
"resources/swatches/Resene_Decks_Paths_Driveways_Recreational_Areas_2014.xml"
"resources/swatches/Resene_Woodsman_2008.xml"
"resources/swatches/Resene_Summit_Roof_systems_2011.xml"
"resources/swatches/Resene_BS5252_2008.xml"
"resources/swatches/Resene_KidzColour_2008.xml"
"resources/swatches/Resene_TCS_-_Colorwood_2011.xml"
"resources/swatches/Resene_TCS_-_Karen_Walker_2012.xml"
"resources/swatches/Resene_Karen_Walker_2008.xml"
"resources/swatches/Resene_TCS_-_KidzColour_2012.xml"
"resources/swatches/Resene_The_Range_WandN_2010.xml"
"resources/swatches/Resene_TCS_-_The_Range_Whites_and_neutrals_2012.xml"
"resources/swatches/Resene_Multi-Finish.xml"
"resources/swatches/Resene_Summit_Roof_2010.xml"
"resources/swatches/Resene_TCS_-_Whites_and_Neutrals_2012.xml"
"resources/swatches/Resene_Total_Colour_System_Master_2014.xml"

License is: resources/swatches/COPYING_RESENE.txt
Question: Which is free or non-free ? This is new license.


"resources/swatches/NAA_Colors_10-2006.xml"

License is: resources/swatches/NAA-Colors_license-.rtf
Question: Which is free or non-free ? This is new license.


"resources/swatches/Standardised_Rock_Colours.xml"

This file copyright status is unclear.
I see this file, this file says "copyright expired". 
but no evidence. It is non-free.


"resources/swatches/Government_UK.xml"

This license is open goverment license.
License: https://www.nationalarchives.gov.uk/doc/open-government-licence/

Question: Which is free or non-free ? This is new license.


This bug is already reported. (Debian).

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792429
 
Thanks.


Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792429
https://anonscm.debian.org/cgit/collab-maint/scribus.git/commit/?id=c370e5527ec7a99c03f292807cf7bfb7fec7549e
Comment 1 mejiko 2016-01-10 21:58:11 EST
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2016-01-12 16:58:21 EST
"resources/swatches/Standardised_Rock_Colours.xml"

This file is not copyrightable, it meets the "phone book" exception criteria.

The Open Government License is free. Not sure about GPL compatible, but it should not be an issue for these XML files. Added to the License list as "OGL".

I've updated the License: field in the spec to reflect the swatches licenses, and fixed the "make-free-archive.sh" script to nuke the non-free items.
Comment 3 Fedora Update System 2016-01-13 09:42:08 EST
scribus-1.4.5-7.fc22.1 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a99b18bb0
Comment 4 Fedora Update System 2016-01-13 09:42:09 EST
scribus-1.4.5-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-58512290ee
Comment 5 Fedora Update System 2016-01-14 06:24:50 EST
scribus-1.4.5-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-58512290ee
Comment 6 Fedora Update System 2016-01-15 14:53:17 EST
scribus-1.4.5-7.fc22.1 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a99b18bb0
Comment 7 Fedora Update System 2016-01-28 13:24:18 EST
scribus-1.4.5-7.fc22.1 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-28 19:23:23 EST
scribus-1.4.5-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.